/* ***************************************************************************************************************** */
/* FORMULAIRE DEMANDE DE DEVIS
/* ***************************************************************************************************************** */
#formulaireDemandeDeDevis form{
  display: flex;
  flex-direction: column;
}
@media only screen and (min-width: 600px) {
  #formulaireDemandeDeDevis form{
    display: block;
  }
}

.formErrors{
  border: 2px solid var(--orange);
  padding: 20px;
  margin-bottom: 50px;
  border-radius: 5px;
}

/* ***************************************************************************************************************** */
/* LIGNE FORMULAIRE (bloc label + input)
/* ***************************************************************************************************************** */
.formLine{
  position: relative;
  margin-bottom: 30px;
}


/* ***************************************************************************************************************** */
/* LIGNE FORMULAIRE > LABEL
/* ***************************************************************************************************************** */
.formLine label{
  color: #000000;
  position: absolute;
  top: 50%;
  left: 20px;
  transform: translateY(-50%);
  font-weight: 300;
  display: inline-block;
  transition: all .2s ease;
}

.formLine.focus label{
  transform: translateY(-120%);
  font-size: 75%;
}

.g-recaptcha{
  margin-top: 0!important;
  margin-bottom: 0!important;
}


/* ***************************************************************************************************************** */
/* LIGNE FORMULAIRE > INPUT
/* ***************************************************************************************************************** */
.formLine input,
.formLine textarea{
  border: 1px solid #000000;
  border-radius: 5px;
  height: 50px;
  padding: 30px 20px 15px 20px;
  width: 100%;
}

.formLine input:focus,
.formLine textarea:focus{
  outline: none;
}

.formLine input::placeholder,
.formLine textarea::placeholder,
.formLine ::placeholder{
  font-size: 0;
}


/* ***************************************************************************************************************** */
/* LIGNE FORMULAIRE > INPUT (TEXTAREA)
/* ***************************************************************************************************************** */
.formLine.textarea textarea{
  min-height: 320px;
  border-radius: 5px;
}

.formLine.textarea label{
  top: 30px;
}

.formLine.textarea.focus label{
  transform: translateY(-120%);
}


/* ***************************************************************************************************************** */
/* LIGNE FORMULAIRE > INPUT (SUBMIT)
/* ***************************************************************************************************************** */
.formLine.submit{
  order: 10;
}

@media only screen and (min-width: 600px) {
  .formLine.submit{
    position: relative;
    z-index: 3;
  }
}

.formLine.submit input{
  padding: 20px 40px;
  background: #000000;
  color: #FFFFFF;
  border: none;
  cursor: pointer;
  transition: all .2s ease;
  height: auto;
  font-weight: 700;
  font-size: 16px;
  width: 100%;
}

@media only screen and (min-width: 600px) {
  .formLine.submit input{
    width: auto;
  }
}

.formLine.submit input:hover{
  opacity: .8;
}

/* ***************************************************************************************************************** */
/* LIGNE FORMULAIRE > INPUT (Checbox)
/* ***************************************************************************************************************** */
.formLine.checkboxes{
  display: flex;
}

.formLine.checkboxes input{
  width: 32px;
  height: 32px;
}

.formLine.checkboxes label{
  position: relative;
  transform: none;
  padding: 0;
  font-size: 14px;
  line-height: 1.6em;
  font-weight: 400;
}



/* ***************************************************************************************************************** */
/* LIGNE FORMULAIRE > TWO CHOICES
/* ***************************************************************************************************************** */
.twoChoices {
  display: flex;
  border: 2px solid #000;
  border-radius: 320px;
  overflow: hidden;
}

.choice.choiceActive {
  background: #000;
  color: #FFF;
  opacity: 1;
  font-weight: bold;
}

.choice {
  font-size: 14px;
  width: 50%;
  padding: 15px;
  text-align: center;
  cursor: pointer;
  opacity: .3;
}

/* ***************************************************************************************************************** */
/* LIGNE FORMULAIRE > SUCCESS
/* ***************************************************************************************************************** */
#success{
  text-align: center;
}
#success a{
  background: #000000;
  display: inline-block;
  padding: 10px 30px;
  color: #FFFFFF;
  font-weight: 600;
  border-radius: 320px;
}
